PHP Manual
Prev |  | Next

# ldap_explode_dn

(PHP 3, PHP 4, PHP 5)

ldap_explode_dn -- Splits DN into its component parts

## Description

array ldap_explode_dn ( string dn, int with_attrib )

Splits the DN returned by ldap_get_dn() and breaks it up into its component parts. Each part is known as Relative Distinguished Name, or RDN.

## Parameters

`dn`

  The distinguished name of an LDAP entity.

`with_attrib`

  Used to request if the RDNs are returned with only values or their attributes as well. To get RDNs with the attributes (i.e. in attribute=value format) set `with_attrib` to 0 and to get only values set it to 1.

## Return Values

Returns an array of all DN components.

Prev | Home | Next
ldap_error | Up | ldap_first_attribute